module.exports = {
	'shouldPluginRun': function(plugin) {
		return plugin.context === 'travel';
	},
	'hasStore': true,
	'run': function(plugin, respond, store, helpers) {
		var exec = require('child_process').exec;

		var textValues = plugin.textValues;
		if (textValues.Value === 'destinations reset') {
			delete store.WaitingForConfirmation;
			delete store.WaitingForDestination;
			delete store.Destinations;

			respond(null, {
				'Speak': 'Reset!'
			});
			return;
		}

		if (store.WaitingForConfirmation && textValues.Value.match(/(destinations confirmed|destinations canceled)/)) {
			if (textValues.Value === 'destinations confirmed') {
				helpers.playSound('visions_CRcv.mp3');

				exec('start chrome "https://www.google.com/maps/dir/' + store.Destinations.join('/') + '/"', function() {
					respond(null, {
						'Speak': 'Initiating trip'
					});
				});
			} else {
				respond(null, {
					'Speak': 'Canceling trip'
				});
			}

			delete store.WaitingForConfirmation;
			delete store.WaitingForDestination;
			delete store.Destinations;

			return;
		}

		if (!store.WaitingForDestination && textValues.Value === 'set destinations') {
			store.WaitingForDestination = true;
			store.Destinations = [];

			respond(null, {
				'Speak': 'Add destinations'
			});
			return;
		}

		if (store.WaitingForDestination && textValues.Value === 'lets go') {
			store.WaitingForConfirmation = true;

			respond(null, {
				'Speak': 'We are going to ' + store.Destinations.join(' then ') + ', is this correct?'
			});
			return;
		}

		if (store.WaitingForDestination && !textValues.Value.match(/(set destinations|lets go)/)) {
			store.Destinations.push(textValues.Value);

			respond(null, {
				'Speak': 'Added ' + textValues.Value
			});
			return;
		}

		respond(null, {
			'Speak': 'Start by saying set destinations'
		});
	}
};