module.exports = {
	'shouldPluginRun': function(plugin) {
		return plugin.context === 'unrecognized';
	},
	'hasStore': true,
	'run': function(plugin, respond, store, helpers) {
		if (plugin.textValues.Value.toLowerCase() === 'yes') {
			respond(null, {
				'Speak': 'Ok! Using ' + store.lastValue
			});
			return;
		}

		var levenshtein = require('fast-levenshtein');

		var carManufacturers = [
			'Aston Martin',
			'BMW',
			'Chrysler',
			'Dodge',
			'Ferrari',
			'Jaguar',
			'Jeep',
			'Lamborghini',
			'Land Rover',
			'Lexus',
			'Mercedes',
			'Mitsubishi',
			'Porsche',
			'Rolls-Royce',
			'Tesla',
			'Toyota'
		];

		var bestMatch = {
			'name': null,
			'score': 999
		};

		carManufacturers.forEach(function(planet) {
			var distance = levenshtein.get(plugin.textValues.Value, planet);
			if (distance < bestMatch.score) {
				bestMatch = {
					'name': planet,
					'score': distance
				};
			}
		});

		store.lastValue = bestMatch.name;

		respond(null, {
			'Speak': 'Did you mean ' + bestMatch.name + '?'
		});
	}
};